/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { ProvenanceDto } from './provenance-dto';

/**
 * 
 * @export
 * @interface ProvenanceDtoResponse
 */
export interface ProvenanceDtoResponse {
    /**
     * 
     * @type {ProvenanceDto}
     * @memberof ProvenanceDtoResponse
     */
    'data'?: ProvenanceDto;
    /**
     * 
     * @type {boolean}
     * @memberof ProvenanceDtoResponse
     */
    'isSuccess'?: boolean;
    /**
     * 
     * @type {number}
     * @memberof ProvenanceDtoResponse
     */
    'statusCode'?: number | null;
    /**
     * 
     * @type {string}
     * @memberof ProvenanceDtoResponse
     */
    'traceId'?: string | null;
}

